Bug 847483 - [abrt] python-2.7.3-7.2.fc17: strcmp: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-7.2.fc17: strcmp: Process /usr/bin/python2.7 was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:e59dcd693bd6a203884f3594a2a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-11 20:12 EDT by joey10946
Modified: 2013-07-31 15:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (14.12 KB, text/plain)
2012-08-11 20:12 EDT, joey10946
no flags Details
File: backtrace (83.85 KB, text/plain)
2012-08-11 20:12 EDT, joey10946
no flags Details
File: maps (68.76 KB, text/plain)
2012-08-11 20:12 EDT, joey10946
no flags Details
File: dso_list (14.46 KB, text/plain)
2012-08-11 20:12 EDT, joey10946
no flags Details
File: build_ids (5.77 KB, text/plain)
2012-08-11 20:12 EDT, joey10946
no flags Details

  None (edit)
Description joey10946 2012-08-11 20:12:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/terminator
crash_function: strcmp
executable:     /usr/bin/python2.7
kernel:         3.5.1-1.fc17.x86_64
pid:            2770
pwd:            /home/Joe
remote_result:  NOTFOUND
time:           Sun 12 Aug 2012 02:09:15 CEST
uid:            1000
username:       Joe
var_log_messages: Aug 12 02:09:16 localhost abrt[2834]: Saved core dump of pid 2770 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-08-12-02:09:15-2770 (32690176 bytes)
xsession_errors: 

backtrace:      Text file, 85862 bytes
build_ids:      Text file, 5904 bytes
dso_list:       Text file, 14812 bytes
event_log:      Text file, 14457 bytes
maps:           Text file, 70409 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/Joe/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x13a2c6 __strcmp_ssse3 libc.so.6 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x8289c - libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x84550 PyObject_RichCompare libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xd8f02 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddb1f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x6d796 - libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x58070 - libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xd71c7 PyEval_CallObjectWithKeywords libpython2.7.so.1.0 -
:fac447a0873707c61a7ccabb85d63cc13c768dad 0x18de1 - _gobject.so -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bea0 gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:e4ee09219dd69e5a1f6b06fb78c7488a3a6260df 0x1a65a8 - _gtk.so -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdce36 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddb1f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddbf2 PyEval_EvalCode libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xf6b9a - libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xf7992 PyRun_FileExFlags libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xf83ab PyRun_SimpleFileExFlags libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x109882 Py_Main libpython2.7.so.1.0 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/Joe/keyring-KQeB2B
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=Joe
:USERNAME=Joe
:MAIL=/var/spool/mail/Joe
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/Joe/.local/bin:/home/Joe/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/Joe
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=949
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/Joe
:SHLVL=1
:LOGNAME=Joe
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Bpqgehpsrp,guid=d6d520083d9e909ac5c3251c00000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/Joe
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-Joe-w1HmNU/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/953,unix/unix:/tmp/.ICE-unix/953
:SSH_AUTH_SOCK=/run/user/Joe/keyring-KQeB2B/ssh
:GPG_AGENT_INFO=/run/user/Joe/keyring-KQeB2B/gpg:0:1
:LC_TIME=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_MONETARY=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/terminator.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2770
:DESKTOP_STARTUP_ID=gnome-shell-1177-localhost.localdomain-terminator-3_TIME4875944

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31460                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31460                31460                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/Joe/.xsession-errors
:pos:	8729
:flags:	0102002
:2:/home/Joe/.xsession-errors
:pos:	8729
:flags:	0102002
:3:socket:[119206]
:pos:	0
:flags:	02000002
:4:socket:[119201]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[118548]
:pos:	0
:flags:	02004002
:7:socket:[119209]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:pipe:[119205]
:pos:	0
:flags:	00
:10:pipe:[119205]
:pos:	0
:flags:	04001
:11:/dev/urandom
:pos:	0
:flags:	02100000
:12:/dev/ptmx
:pos:	0
:flags:	0104002
:13:/dev/pts/0
:pos:	0
:flags:	0100002
:14:socket:[119215]
:pos:	0
:flags:	02
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:pipe:[119247]
:pos:	0
:flags:	00
:17:pipe:[119247]
:pos:	0
:flags:	04001

smolt_data:
:
:
:General
:=================================
:UUID: 427eff1d-3787-4d99-a570-7269f2c67002
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6300.10
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E6550  @ 2.33GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2800
:System Memory: 3954
:System Swap: 0
:Vendor: Gigabyte Technology Co., Ltd.
:System: G33M-S2 
:Form factor: Desktop
:Kernel: 3.5.1-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10688:5208:20480) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10689:5208:20480) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:(6523:9064:5208:45056) pci, pata_jmicron, STORAGE, JMB368 IDE controller
:(32902:10544:5208:20481) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10529:5208:45058) pci, ata_piix, STORAGE, 82801IB (ICH9) 2 port SATA IDE Controller
:(32902:10520:5208:20481) pci, lpc_ich, PCI/ISA, 82801IB (ICH9) LPC Interface Controller
:(32902:10534:5208:45058) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(4277:33042:0:0) pci, None, PCI/PCI, PEX8112 x1 Lane PCI Express-to-PCI Bridge
:(32902:10549:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(32902:10553:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:5208:20486) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:5208:20486) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:(5110:34696:4163:33397) pci, snd_virtuoso, MULTIMEDIA_AUDIO, Virtuoso 100 (Xonar DX)
:(32902:10560:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:5208:40962) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10548:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(4318:1557:4163:33541) pci, nvidia, VIDEO, G92 [GeForce GTS 250]
:(32902:10570:5208:20481) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(32902:10552:5208:20484) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb4 / ext4 4096 4096 2969394 453044 422877 761856 495687 495687
:/dev/sdb3 WITHHELD fuseblk 65536 65536 13762559 82220 82220 5786368 5751946 5751946
:/dev/sda1 WITHHELD fuseblk 65536 65536 7630975 118786 118786 8126592 8120447 8120447
:
Comment 1 joey10946 2012-08-11 20:12:44 EDT
Created attachment 603737 [details]
File: event_log
Comment 2 joey10946 2012-08-11 20:12:46 EDT
Created attachment 603738 [details]
File: backtrace
Comment 3 joey10946 2012-08-11 20:12:49 EDT
Created attachment 603739 [details]
File: maps
Comment 4 joey10946 2012-08-11 20:12:51 EDT
Created attachment 603740 [details]
File: dso_list
Comment 5 joey10946 2012-08-11 20:12:53 EDT
Created attachment 603741 [details]
File: build_ids
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:04:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:04:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:07:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:16:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2013-05-10 01:16:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-07-03 16:10:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 15:41:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.